
var V2_OTT_HOME_HEAD_MENU = 'V3_HOME_HEAD_MENU';
var config_title;
//推荐表标题
var nav_datas;
var nav_index;
var ADM;

var noStartBg;//应用内其它操作不显示启动页

apiready = function() {
	// apicloud的启动页不能全机型自适应，需要在index.html自定义启动页，app启动优先读取显示自适应背景图再关闭返回首页
	// config.xml <preference name="autoLaunch" value="false"/>
	noStartBg = api.pageParam.noStartBg || false;
	if (noStartBg) {
		$api.attr($api.byId('bg'), 'src', 'https://3jidi-1251017968.cos.ap-guangzhou.myqcloud.com//upload/pics/ott_3jd_v2/menu_bg/v2_xxtb/1_bg.jpg');
	} else {
		$api.attr($api.byId('bg'), 'src', './image/pages/index/start_bg.png');
	}
	api.removeLaunchView({
		animation: {
			type: 'fade',
			duration: 1
		}
	})
	if (noStartBg) {
		// api.clearStorage();
		if (usePlatformPrivacy.includes(channelType)) {// 202406020 vivo渠道 使用引擎隐私政策弹窗 打包需添加/pages/privacy/privacy.stml文件 其它渠道需删除文件
			$api.setStorage('prevStartup', 1);
			$api.setStorage('uniqueStr', api.deviceId);
			startFn();
		} else {
			new AppStartupLogic();
		}
		//只显示一次用户注册协议
		// $api.setStorage('hasrem',false);
	} else {
		// 自定义启动页1.5s后进入首页
		setTimeout(function(){
			// api.clearStorage();
			if (usePlatformPrivacy.includes(channelType)) {
				$api.setStorage('prevStartup', 1);
				$api.setStorage('uniqueStr', api.deviceId);
				startFn();
			} else {
				new AppStartupLogic();
			}
			//只显示一次用户注册协议
			// $api.setStorage('hasrem',false);
		},1500);
	}

	api.addEventListener({
		name : 'keyback'
	}, function(ret, err) {
		if(channelType == '3jidi_phone_dslsc'){
			api.confirm({
				msg:'确定要退出应用吗~'
            },function(ret,err){
         		// console.log(JSON.stringify(ret));
            	if(ret.buttonIndex=='2'){
            		api.closeWidget({
					    // id: 'A6104971112313',
						id: 'A1780909546974740481',
					    retData: {
					        name: 'closeWidget'
					    },
					    silent:true,
					    animation: {
					        type: 'flip',
					        subType: 'from_bottom',
					        duration: 500
					    }
					});
            	}
            });
		}else{
			api.openFrame({
				name : 'stay',
				url : './html/stay.html',
				rect : {
					x : 0,
					y : 0,
					w : api.winWidth,
					h : api.winHeight
				}
			});
		}
	});

	//进入应用标识
	var first_state = $api.getStorage('first_state');
	if (first_state == null || first_state == undefined || first_state == '') {
		$api.setStorage('first_state', -1);
	}

	/*进入应用时根据当前版本号查询是否是对应的版本开关记录*/
	getAppVersion();
}

class AppStartupLogic{
	constructor(){
		// $api.clearStorage();
		this.isShowPrivacy();
	}
	isShowPrivacy(){
		let prevStartup = this.getStg('prevStartup');// 获取上次登录的时间,第一次使用app则为undefined
		// console.log(prevStartup)
		// 是否第一次进入app，是显示隐私政策弹窗，否则检测权限
		!prevStartup ? this.showPsBox() : this.checkPms();
	}
	showPsBox(pms=''){// 显示隐私政策框
		$('#psBox').show();
		$('#btn_reject').on('click', ()=>{// 不同意
			let now = this.nowtime();
			$api.setStorage('prevStartup', now);// 记录这次登录的时间
			$api.setStorage('agreePrivacy', 0);// 记录用户是否同意政策
			$('#psBox').hide();
			this.setTemporaryUid();
			api.alert({
				msg: '您也可以在 设置->权限->'+appName+'->电话权限 中打开相关权限，否则有某些功能无法正常运行'
			});
		});
		$('#btn_agree').on('click', ()=>{// 同意
			$api.setStorage('agreePrivacy', 1);// 记录用户是否同意政策
			$('#psBox').hide();
			if(pms) return this.reqPms(['phone-r']);
			this.checkPms();
		});
		// $('#closeWidget').on('click',()=>{
		// 	api.closeWidget({
		// 	    // id: 'A6104971112313',
		// 		id: 'A1780909546974740481',
		// 	    retData: {
		// 	        name: 'closeWidget'
		// 	    },
		// 	    silent:true,
		// 	    animation: {
		// 	        type: 'flip',
		// 	        subType: 'from_bottom',
		// 	        duration: 500
		// 	    }
		// 	});
		// });
		// $('#thinks').on('click',()=>{
		// 	$('#thinkBox').hide();
		// })
	}
	checkPms(){// 检测权限
		// 第一次进入应用的话访问权限
		if(!this.getStg('prevStartup')){
			if(noInitPermission.includes(channelType)){
				$api.setStorage('prevStartup', 1);
				return this.getStg('temporaryUid') ? startFn() : this.setTemporaryUid();
			}
			return this.reqPms(['phone-r']);
		}
		// 非第一次进入应用 查询权限
		const resList = hasPermission(['phone-r'],'none')[0]; // console.log(JSON.stringify(resList));
		if(resList.granted){// IMEI权限已授权 执行页面加载
			if(this.getStg('prevStartup')!='1'){
				$api.setStorage('prevStartup', 1);
			}
			this.removeStorage('temporaryUid');
			//登录并授权后，清除'temporaryUid'，再存储使用IMEI
			$api.setStorage('uniqueStr', api.deviceId);
			startFn();
		}else if(noInitPermission.includes(channelType)){// 部分渠道IMEI权限未授权 首页加载也不请求权限
			startFn();
		}else{// IMEI权限未授权 请求权限
			let prevStartup = this.getStg('prevStartup');
			if(!prevStartup || prevStartup!=='1'){
				let now = this.nowtime();
				// 获取上次进入app的时间差
				let difference = this.getHour(prevStartup, now);
				// 当2次时间差大于48小时,显示隐私政策框,否则创建临时唯一码
				if(difference>=48){
					this.showPsBox('phone-r');
					let now = this.nowtime();
					$api.setStorage('prevStartup', now);
				}else{
					this.getStg('temporaryUid') ? startFn() : this.setTemporaryUid();
				}
			}else{// 防止用户同意之后关闭电话权限
				let now = this.nowtime();
				$api.setStorage('prevStartup', now);
				this.showPsBox('phone-r');
			}
		}
	}
	async reqPms(params){// 请求权限
		// 如果是应用宝渠道
		// if(channelType==='3jidi_phone_YingYBao'){
		// 	// 自定义遍历器,作用是让一个权限的所有弹框都在用户做出选择后再弹出下一个权限的弹窗，直接用遍历会让弹窗叠在一起
		// 	let iter = params[Symbol.iterator]();
		// 	let item = iter.next();
		// 	do{
		// 		let ret = await this.yybfn(item.value);
		// 		if(ret) item = iter.next();
		// 	}while(!item.done);
		// }else{
		// 其他渠道直接请求权限
		    /**
			 * 20220913 修改 全渠道优先说明框 再弹出获取权限框
			 */
			// this.requestPmss(params);
			let iter = params[Symbol.iterator]();
			let item = iter.next();
			do{
				let ret = await this.yybfn(item.value);
				if(ret) item = iter.next();
			}while(!item.done);
		// }
	}
	yybfn(params){// 应用宝渠道执行的
		// 弹窗
		return this.myConfirm(params).then(ret=>{
			// 点击了确定，执行询问权限操作
			if(ret.buttonIndex==1){
				return this.requestPmss(params);
			}else{
			// 点击取消，或者空白的时候
				if(params==='phone-r'){
					let now = this.nowtime();
					$api.setStorage('prevStartup', now);
					this.getStg('temporaryUid') ? startFn() : this.setTemporaryUid();
				}
				// value:传过来的参数、granted：false代指点击取消、buttonIndex：点了空白还是取消、isWriteBySelf：是不是自己写的垃圾;
				return {value: params, granted: false, buttenIndex:ret.buttenIndex, isWriteBySelf: true};
			}
		});
	}
	myConfirm(params){// 弹窗询问是否要给权限
		let title = 'IMEI',
			msg = '为保证您正常、安全地使用，需要获取设备识别码（部分手机提示为获取手机号码）使用权限，请允许。';
		if(params==='storage'){
			title = '存储',
			msg = '应用保存运行状态等信息，需要获取读写手机存储（系统提示为访问设备上的照片、媒体内容和文件）权限，请允许。';
		}
		return new Promise (resolve=>{
			api.confirm({
				title: title +'权限请求',
				msg: msg,
				buttons: ['确定', '取消']
			},ret=>{// 2-取消，0-点了空白地方，1-确定
				resolve(ret);
			})
		})
	}
	requestPmss(params){// 请求权限的弹窗
		return new Promise(resolve=>{
			api.requestPermission({
				list: Array.isArray(params) ? params : [params]
			}, ret=>{
				// console.log(JSON.stringify(ret));
				resolve(ret.list[0]);
				if(ret.list[0].name==='phone-r'){
					if(ret.list[0].granted){// 同意imei请求
						$api.setStorage('prevStartup', 1);
						this.removeStorage('temporaryUid');
						//登录并授权后，清除'temporaryUid'，再存储使用IMEI
                        $api.setStorage('uniqueStr', api.deviceId);
						startFn();
					}else{// 拒绝imei请求
						let now = this.nowtime();
						$api.setStorage('prevStartup', now);
						this.getStg('temporaryUid') ? startFn() : this.setTemporaryUid();
						api.setGlobalData({
							key: 'reqPmsNum',
							value: 1
						});
					}
				}else if(ret.list[0].name==='storage'){
					ret.list[0].granted ? opendb_common() : '';
				}
			});
		});
	}
	setTemporaryUid(){// 设置临时的唯一码
		const arr=['a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z','0','1','2','3','4','5','6','7','8','9'];
		let subStr=Date.now();
		for(let i=0;i<6;i++){
			subStr += arr[Math.floor((Math.random()*arr.length))];
		}
		$api.setStorage('temporaryUid', subStr);
		startFn();
	}
	removeStorage(pms){// 删除存储
		if(this.getStg(pms)){
			$api.rmStorage(pms);
		}
	}
	nowtime(){// 获取当前时间，格式：2022-5-30 14:39:00
		let myDate = new Date();
		let year = myDate.getFullYear(),
		month = myDate.getMonth() + 1,
		dates = myDate.getDate();
		// return myDate.toLocaleDateString().replace(/\//g, "-") + " " + myDate.toTimeString().substr(0, 8);
		return year+'-'+month+'-'+dates+ " " + myDate.toTimeString().substr(0, 8);
	}
	getHour(s1, s2) {// 获取2个时间的时差，例如：3，表示相差3小时
		var reDate = /\d{4}-\d{1,2}-\d{1,2} /;
		s1 = new Date((reDate.test(s1) ? s1 : '2022-1-1 ' + s1).replace(/-/g, '/'));
		s2 = new Date((reDate.test(s2) ? s2 : '2022-1-1 ' + s2).replace(/-/g, '/'));
		var ms = s2.getTime() - s1.getTime();
		if (ms < 0) return 0;
		return Math.floor(ms / 1000 / 60 / 60);  //小时
	}
	getStg(param, type='normal'){// 获取存储数据
		if(typeof param !== 'string') return param+ '，sb，传字符串！！！！字符串懂吗傻逼！';
		let str = $api.getStorage(param) || '';
		if(type == 'normal'){
			return str;
		}
		return Promise.resolve(str);
	}
}

function startFn(){
	authV2().then(res=>{
		$api.setStorage('uCode', res.uCode);
        $api.setStorage('userid', res.userid);
		return findUserMsgV2();
	}).then(res1=>{
		// console.log(JSON.stringify(res1));
		if(res1 && res1.uPhoneNum) $api.setStorage('uPhoneNum', res1.uPhoneNum);
		if((res1&&!res1.pName) || !res1){
			var myDate = new Date();
			var year = myDate.getFullYear();
			//获取当前年
			var month = myDate.getMonth() + 1;
			//获取当前月
			var date = myDate.getDate();
			//获取当前日
			var now = year + '-' + month + "-" + date;
			var now_time = $api.getStorage('now_time'); 
			if(now_time != now){
			// if(true){
				$api.setStorage('now_time', now);
				api.openWin({
					name : 'ad_window',
					url : './html/ad_window.html'
				});
			}
			// 广告代码
			// if(!noAdChannel.includes(channelType)){// noAdChannel数组里的渠道不加广告
			// 	ADM = api.require('AdmobileModule');
			// 	ADM.AdInit({
			// 		APP_ID: '3721840',
			// 		SPLASH_AD_POS_ID1: '092dd8c86db93d49fc',
			// 		debug: true
			// 	});
			// 	ADM.AdActivity();
			// }
		}else{
			$api.setStorage('pName', res1.pName);
			$api.setStorage('pEndTime', res1.pEndTime);
		}
	}).then(()=>{
		//初始化数据加载
		getIndexDate(V2_OTT_HOME_HEAD_MENU, '', 0);
	});
}

function getAppVersion() {
	api.ajax({
		url : domain + '/app/dic/' + 'is_show_cztbkt',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				appVersion : api.appVersion
			}
		},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			if (ret.length > 0) {
				if (ret[0].diccode == "cztbkt_false") {
					$api.setStorage('version_switch', 'false');
				} else if (ret[0].diccode == "cztbkt_true") {
					$api.setStorage('version_switch', 'true');
				} else {
					$api.setStorage('version_switch', '1');
				}
			} else {
				$api.setStorage('version_switch', '1');
			}
		}
	});
}

//数据加载
function getIndexDate(categorykind, kind, index) {
	var nav_phone_version = 0;
	if (categorykind == V2_OTT_HOME_HEAD_MENU) {
		nav_phone_version = 80;
	} else {
		nav_phone_version = phone_version;
	}
	api.ajax({
		url : ios_configURL + categorykind + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				phone_version : nav_phone_version
			}
		},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			if (categorykind == V2_OTT_HOME_HEAD_MENU) {//导航页数据
				//初始化导航栏个数
				var html_ = '';
				$api.attr($api.byId('bg'), 'src', ret[0].picture);
				for (var i = 0; i < ret.length; i++) {
					//我的页面
					if (ret[i].kind == '' || null == ret[i].kind || undefined == ret[i].kind || ret[i].kind == 'null') {
						userPageIndex = i;
						$api.attr($api.byId('logo'), 'src', ret[i].linkrule);
					}
					html_ += '<div class="swiper-slide swiper-no-swiping"></div>';
				}
				$api.html($api.byId('swiper-wrappe'), html_);

				//初始化头部导航栏样式
				nav_datas = ret;
				initTabSwiper(ret);
			} else {//内容页shuju
				selCourse(index, categorykind, kind, ret);
			}
		}
	});

}

//(初始化导航栏)
var mySwiper;
function initTabSwiper(ret) {

	//后台请求获取数据
	var datas = ret;
	mySwiper = new Swiper('.swiper-container', {
		pagination : {
			el : '.swiper-pagination',
			clickable : true,
			renderBullet : function(index, className) {

				if (datas[index]) {
					var html_ = '<span class="' + className + '">';
					html_ += '<img class="default" src="' + datas[index].btn_default + '" />';
					html_ += '<img class="focus" src="' + datas[index].btn_focused + '" />';
					html_ += '</span>';
				}

				return html_;
			}
		},
		on : {
			init : function() {
				//初始化执行mySwiper.slides.length
				//alert('当前的slide序号是'+this.slides.length);
				navIndex = this.activeIndex;
				navTotal = this.slides.length;
				this.emit('transitionEnd');
				//在初始化时触发一次transitionEnd事件
			},
			slideChangeTransitionStart : function() {
				//切换执行
				//alert(this.activeIndex);
				navIndex = this.activeIndex;
				var size = $api.domAll($api.byId('swiper-pagination'), 'span.swiper-pagination-bullet');
				//切换执行数据加载
				getIndexDate(nav_datas[navIndex].entityId, nav_datas[navIndex].kind, navIndex);
			},
		},
		ouchMoveStopPropagation : false
	});

	//初始化内容列表（示例默认加载第一个）
	contentList = $api.domAll($api.byId('swiper-wrappe'), 'div.swiper-slide');

	getIndexDate(datas[0].entityId, datas[0].kind, 0);
}

//获取课程内容
function selCourse(index, categorykind, kind, datas) {
	nav_index = index;
	//我的页面
	if ((kind == '' || kind == null || kind == undefined || kind == 'null') && userPageIndex == index) {
		getUser(index);
	} else if (kind == 'module_v2_tiyan') {//免费体验模板数据
		freemodel(index, 'OTT_FREE');
	}else {//专题模板数据其他页面
		ztmodel(index, categorykind, kind, datas);
	}

	//EventUtil.listenTouchDirection(contentList[navIndex], true, true, false, true, false)
}

//专题模板数据
function ztmodel(index, categorykind, kind, datas) {
	//加载普通模板页面数据
	api.ajax({
		url : ios_configURL + 'configList/' + categorykind + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				phone_version : phone_version
			}
		},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			//console.log(JSON.stringify(ret))
			var html_ = '';
			var tb_kind;
			var dataKind;
			if (datas[0].kind == '3XN') {//小语种模板
				html_ += '<div class="slide-list">';
				html_ += '<div class="tbkt_model_' + datas[0].kind + '">';
				html_ += '<ul>';
				for (var i = 0; i < ret.length; i++) {
					html_ += '<li class="clearfix" tapmode onclick="openTypePage(\'' + ret[i].entityId + '\',\'' + ret[i].linkrule + '\',\'' + ret[i].entityteacher + '\');">';
					html_ += '<img src="' + ret[i].picture + '" />';
					html_ += '</li>';
				}

				html_ += '</ul>';
				html_ += '</div>';
				html_ += '</div>';
				if ($api.html(contentList[index]).length == 0) {
					$api.html(contentList[index], html_);
				}
			} else {//其他模板
				var pageList = 0;
				var tb_kind;
				for (var c = 0; c < datas.length; c++) {
					if (datas[c].kind == '1XN') {
						pageList = pageList + 1;
					} else {
						tb_kind = datas[c].entityId;
					}
				}
				html_ += '<div class="slide-list">';
				html_ += '<div class="slide-scroll">';
				var size = api.winWidth * 0.97;
				var left = 0;
				var m_left = 12;
				var size_01 = size * 0.65;
				var size_02 = size * 0.207;
				var total_size = size_01 + m_left * (pageList + 1) + size_02 * pageList;
				var zx_size = api.winHeight * 0.8 * 0.9 * 0.10;
				html_ += '<div class="slide-scroll-list" style="width:' + total_size + 'px;">';
				for (var i = 0; i < datas.length; i++) {
					if (datas[i].kind == '2XN') {

						html_ += '<div class="tbkt_model_' + datas[i].kind + ' tbkt-kind" style="width:' + size_01 + 'px;left:' + left + 'px;">';
						html_ += '<ul>';
						for (var j = 0; j < ret.length; j++) {
							if (tb_kind == ret[j].categorykind) {
								html_ += '<li class="clearfix" style="height:' + ((size_01 * 0.22 * 380) / 280) + 'px;" tapmode onclick="openTypePage(\'' + ret[j].entityId + '\',\'' + ret[j].linkrule + '\',\'' + ret[j].entityteacher + '\');">';
								html_ += '<img src="' + ret[j].picture + '" />';
								html_ += '</li>';
							}
						}
						html_ += '</ul>';
						html_ += '</div>';
						left = left + size_01 + m_left;
					} else if (datas[i].kind == '1XN') {
						var list_index = 0;
						html_ += '<div class="tbkt_model_' + datas[i].kind + ' zx-kind" style="width:' + size_02 + 'px;left:' + left + 'px;">';
						html_ += '<div class="zx_title" style="line-height:' + zx_size + 'px;"><img src="./image/pages/index/jb.png"/><span>|' + (datas[i].title).substring((datas[i].title).length - 4, (datas[i].title).length) + '</span></div>';

						html_ += '<div class="tbkt_model_1XN_scroll">';
						html_ += '<ul>';
						for (var j = 0; j < ret.length; j++) {
							if (datas[i].entityId == ret[j].categorykind) {
								if (list_index == 0) {
									html_ += '<li class="active" style="margin-bottom:0px;margin-top:0px;" tapmode onclick="openZX(this,0,\'' + ret[j].entityId + '\',\'' + ret[j].linkrule + '\',\'' + ret[j].entityteacher + '\');">';
									html_ += '<img src="' + ret[j].picture + '" alt="' + ret[j].relationalpic + '"/></li>';
									//console.log(ret[j].linkrule)
									html_ += '</li>';
								} else {
									html_ += '<li class="clearfix" tapmode style="margin-top:' + ((api.winHeight * 0.8 * 0.92 * 0.9) * 0.016) + 'px;margin-bottom:0px;" onclick="openZX(this,\'' + list_index + '\',\'' + ret[j].entityId + '\',\'' + ret[j].linkrule + '\',\'' + ret[j].entityteacher + '\');">';
									html_ += '<img src="' + ret[j].relationalpic + '" alt="' + ret[j].picture + '"/></li>';
									html_ += '</li>';
								}
								list_index++;
							}
						}
						html_ += '</ul>';
						html_ += '</div>';
						html_ += '</div>';
						left = left + size_02 + m_left;
					}
				}
				html_ += '<div class="agreement" id="agreement">';
					html_ += '<img tapmode onclick="serve()" src="./image/pages/index/serve.png" />';
					html_ += '<img tapmode onclick="privacy()" src="./image/pages/index/privacy.png" />';
				html_ += '</div>';
				if (index < 6) {
					html_ += '<div class="more_ban" id="more_ban' + index + '" style="width:' + size_01 + 'px;"><img src="./image/pages/index/more_ban.png"/></div>';
				}
				html_ += '<p class="filings" style="left:' + (api.winWidth * 0.03 + size_01 + m_left) + 'px;" onclick="filings()">备案号：粤ICP备09181037号-8A</p>';
				html_ += '</div>';
				html_ += '</div>';
				html_ += '</div>';
				if ($api.html(contentList[index]).length == 0) {
					$api.html(contentList[index], html_);
					var len = $api.domAll(contentList[index], 'div.tbkt-kind');
					isScroll(len[0]);
				}
			}
		}
	});

}

//免费体验模板数据
function freemodel(index, categorykind) {
	api.ajax({
		url : ios_configURL + categorykind + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			var html_ = '';
			html_ += '<div class="slide-list">';
			html_ += '<div class="tbkt_model_free">';
			html_ += '<ul>';
			var size = api.winWidth * 0.94 * 0.2275 * 0.6;
			var size_01 = (api.winWidth * 0.94 * 0.2275 * 0.9 * 174) / 355;
			var size_02 = size - ((api.winWidth * 0.94 * 0.2275 * 0.9 * 174) / 355) - size * 0.05;
			for (var i = 0; i < ret.length; i++) {
				html_ += '<li class="clearfix" style="height:' + size + 'px;" tapmode onclick="isPlayAuth(\'' + ret[i].entityId + '\',\'' + ret[i].ispublish + '\',\'' + ret[i].entitygrade + '\',\'' + ret[i].entitysubject + '\')">';
				html_ += '<img class="video_img" src="' + ret[i].picture + '" style="height:' + size_01 + 'px;"/>';
				html_ += '<p class="video_name" style="line-height:' + size_02 + 'px;height:' + size_02 + 'px;">' + ret[i].title + '</p>';
				html_ += '</li>';
			}
			html_ += '</ul>';
			html_ += '</div>';
			html_ += '</div>';
			if ($api.html(contentList[index]).length == 0) {
				$api.html(contentList[index], html_);
			}
		}
	});
}

function openZX(obj, index, entityId, groupType, entityteacher) {
	openTypePage(entityId, groupType, entityteacher);
}

//我的页面数据加载
//获取用户的内容
function getUser(index) {
	findUserMsgV2().then(function(results){
//		console.log(JSON.stringify(results));
		var u_code = results.uCode;//console.log(u_code);
		var pName = results.pName;
		var mobilephone = results.uPhoneNum;
		var pEndTime = results.pEndTime;
		api.ajax({
			url : orderURL + 'apkList/' + channelType + '/' + apkType,
			method : 'post',
			cache : false,
			timeout : 30,
			dataType : 'json',
			data : {
				values : {
					platform : 'PHONE',
					phone_version : phone_version
				}
			},
			returnAll : false,
		}, function(ret, err) {
			if (ret) {
	//			console.log(JSON.stringify(ret))
				var html_ = '';
				html_ += '<div class="user-list">';
	
				html_ += '<div class="user-bnt-list">';
				html_ += '<img class="click1 active1" id="click1" tapmode onclick="selMy(1)" src="./image/pages/index/user/click_sel1.png" />';
	//			html_ += '<img class="click2" id="click2" tapmode onclick="selMy(2)" src="./image/pages/index/user/click2.png" />';
				html_ += '</div>';
				//end user-bnt-list
				//我的账号
				html_ += '<div class="list-m" id="list-m">';
				html_ += '<div class="user-decive">我的设备</div>';
				html_ += '<img class="ava" src="./image/pages/index/user/default@3x.png">'
				//订购图片
				html_ += '<div class="pay">购买服务</div>'
				html_ += '<div class="order_list">';
				for (var i = 0; i < ret.length; i++) {
					var bigPic = ret[i].setprice_apk_big_prcture;
					var url = bigPic.slice(0,-4) + '_setprice' + bigPic.slice(-4);
					html_ += '<img class="orderImg2" tapmode onclick="payOrder(\'' + ret[i].id + '\',\'' + ret[i].auto_grade + '\');" src="' + url + '"/>';
				}
				html_ += '</div>';
				//end order_list
	
				//用户操作
				html_ += '<div class="user_msg" id="user_msg">';
				html_ += '<div style="line-height:' + api.winHeight * 0.74 * 0.92 * 0.47 * 0.166 + 'px;">';
				html_ += '您的编号：' + u_code + '';
				html_ += '</div>';
				if (pName != null && pName != '' && pName != undefined && pName != 'undefined') {
					html_ += '<div style="line-height:' + api.winHeight * 0.74 * 0.92 * 0.47 * 0.166 + 'px;">';
					html_ += '产品名称：' + pName + '';
					html_ += '</div>';
					html_ += '<div style="line-height:' + api.winHeight * 0.74 * 0.92 * 0.47 * 0.166 + 'px;">';
					html_ += '到期时间：' + pEndTime + '';
					html_ += '</div>';
				}
				html_ += '<div style="line-height:' + api.winHeight * 0.74 * 0.92 * 0.47 * 0.166 + 'px;">';
				html_ += '设备信息：' + api.deviceModel + '';
				html_ += '</div>';
				html_ += '<div style="line-height:' + api.winHeight * 0.74 * 0.92 * 0.47 * 0.166 + 'px;">';
				html_ += '版 &nbsp;本&nbsp;号：' + api.appVersion + '_' + channelType + '';
				html_ += '</div>';
				
				//线路判断
				var videpType = $api.getStorage('videType');
				if (videpType == undefined || videpType == '' || videpType == null || videpType == 2) {
					videpType = 0;
				}
				if (videpType == 0) {
					html_ += '<div class="videoType" style="line-height:' + api.winHeight * 0.74 * 0.92 * 0.47 * 0.166 + 'px;">';
					html_ += '<span>切换线路：</span>';
					html_ += '<label><input class="aui-radio" type="radio" name="demo1" tapmode checked onclick="setVideoType(0)">线路一</label>';
					html_ += '<label><input class="aui-radio" type="radio" name="demo1" tapmode onclick="setVideoType(1)">线路二</label>';
					html_ += '</div>';
					//end videoType
				} else if (videpType == 1) {
					html_ += '<div class="videoType" style="line-height:' + api.winHeight * 0.74 * 0.92 * 0.47 * 0.166  + 'px;">';
					html_ += '<span>切换线路：</span>';
					html_ += '<label><input class="aui-radio" type="radio" name="demo1" tapmode onclick="setVideoType(0)">线路一</label>';
					html_ += '<label><input class="aui-radio" type="radio" name="demo1" checked tapmode onclick="setVideoType(1)">线路二</label>';
					html_ += '</div>';
					//end videoType
				}
				
				html_ += '</div>';
				//end user_msg
				html_ += '<div class="user_cz" id="user_cz">';
				//手机判断
				
					html_ += '<div class="allbutton" style="">';
						html_ += '<img class="button4" tapmode onclick="openLogin()" src="./image/pages/index/user/qh_zh.png"/>';
						html_ += '<img class="button4" tapmode onclick="openLogin()" src="./image/pages/index/user/zhqx.png"/>';
						html_ += '<img class="button4" tapmode onclick="register(\''+'./html/pages/register_window.html'+'\')" src="./image/pages/index/user/bdsj.png"/>';
						html_ += '<img class="button4" tapmode onclick="signOut('+mobilephone+','+index+')" src="./image/pages/index/user/signOut.png"/>';
						if (mobilephone != null && mobilephone != '' && mobilephone != undefined && mobilephone != 'undefined') {
							var mobileShow = mobilephone.substring(0, 3) + '****' + mobilephone.substring(mobilephone.length - 4, mobilephone.length);
		//						html_ += '<span class="unlogin">'+ mobileShow + '</span><img class="tip" src="./image/pages/index/user/user_tips_true.png">';
							html_ +='<div class="unlogin">';
									html_ +='<img src="./image/pages/index/user/phone.png">';
									html_ +='<span>'+mobileShow+'</span>';
							html_ +='</div>';
							html_ +='<img class="button4 tip" src="./image/pages/index/user/user_tips_true.png">';
						} else {
							html_ +='<div class="unlogin">';
									html_ +='<img src="./image/pages/index/user/phone.png">';
									html_ +='<span class="mobileShow">未登录</span>';
							html_ +='</div>';
						}
					html_ += '</div>';
				html_ += '</div>';
				//end user_cz

				//tsjb
				if (channelType == '3jidi_phone_huawei') {
					html_ += '<div id="tsjb" onclick="jbts()"><u>投诉</u></div>';
				}
				//end tsjb
				//3jidi_qrcode
				html_ += '<div id="service">客服中心</div>';
				html_ += '<div class="qrcode" id="QRcode"></div>';
				//end 3jidi_qrcode

				html_ += '</div>';
				//enduser-list

				//覆盖html
				$api.html(contentList[index], html_);

				//查询二维码
				QRphone('V2_OTT_QUIT');
			}
		})
	});
}

//查询二维码
function QRphone(categorykind) {
	api.ajax({
		url : ios_configURL + categorykind + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				phone_version : phone_version,
				pageNo : 1,
				searchNum : 100,
				channelType : 'phone_qr'
			}
		},
		returnAll : false,
	}, function(ret, err) {
		// console.log(JSON.stringify(ret));
		if (ret) {
			var html = '';
			$.each(ret.result, function(i) {
				html += '<div class="list1">';
					html += '<img src="' + this.picture + '"/>';
				html += '</div>';
			});
			// if (channelType == '3jidi_phone_huawei') {
			// 	html+='<span class="tsjb" onclick="jbts()"><u>投诉</u></span>';
			// }
			$api.html($api.byId('QRcode'), html);
		}
	})
}

//查询观看历史记录
function selhistorical(index, list_type, is_free) {
	var len = $api.domAll($api.byId('historical-menu'), 'div');
	for (var i = 0; i < len.length; i++) {
		if (i == index) {
			$api.css($api.eq(len[i], 1), 'display:none');
			$api.css($api.eq(len[i], 2), 'display:block');
		} else {
			$api.css($api.eq(len[i], 1), 'display:block');
			$api.css($api.eq(len[i], 2), 'display:none');
		}
	}
	var u_code = $api.getStorage('uCode');
	api.ajax({
		url : userURL + 'getPlayLogs',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				u_code : u_code,
				list_type : list_type,
				is_free : is_free,
				apk_type : apkType

			}
		},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			var html = '';
			//content-list
			var html_1 = '';
			if (list_type == 'video') {
				html_1 += '<span>年级科目</span>';
				html_1 += '<span>课程名称</span>';
				html_1 += '<span>观看时间</span>';
			} else {
				html_1 += '<span>年级科目</span>';
				html_1 += '<span>文章名称</span>';
				html_1 += '<span>观看时间</span>';
			}
			$api.html($api.byId('title-list'), html_1);
			for (var k = 0; k < ret.length; k++) {
				html += '<div tapmode onclick="pageTo(' + k + ',\'' + ret[k].zhztinfoid + '\',\'' + ret[k].list_id + '\',\'' + ret[k].templateid + '\',\'' + ret[k].gradeid + '\',\'' + ret[k].group_type + '\',\'' + ret[k].list_type + '\')" ';
				html += 'style="height:' + api.winHeight * 0.351 * 0.16666 + 'px;line-height:' + api.winHeight * 0.351 * 0.18 + 'px;border-radius:' + api.winHeight * 0.351 * 0.16666 * 0.5 + 'px;">';
				html += '<span>' + ret[k].grade_name + '</span>';
				html += '<span>' + ret[k].title + '</span>';
				html += '<span>' + ret[k].refreshtime + '</span>';
				html += '</div>';
			}
			$api.html($api.byId('content-list'), html);
		}
	});

}

//点击历史记录视频或文章跳转页面
function pageTo(index, zhztinfoid, list_id, templateid, gradeid, group_type, list_type) {
	var len = $api.domAll($api.byId('content-list'), 'div');
	for (var i = 0; i < len.length; i++) {
		if (i == index) {
			$api.addCls(len[i], 'active');
		} else {
			$api.removeCls(len[i], 'active');
		}
	}
	if(list_type == 'zt_video') {
		if (templateid == '11001100') {
			openCourse(zhztinfoid, group_type, templateid, '', gradeid);
		} else if (templateid == '11001103') {
			openQmPage(zhztinfoid, group_type, templateid, gradeid, '')
		} else if (templateid == '11001104') {
			openday(zhztinfoid, group_type, templateid, gradeid, '');
		} else if (templateid == '11001105') {
			openSchool(zhztinfoid, group_type, templateid, gradeid);
		} else if (templateid) {
			openZt(zhztinfoid, templateid, gradeid)
		}
	}
}

//打开专题详情
function openCourse(entityId, groupType, templateId, entityteacher, entitygrade) {
	api.openWin({
		name : 'course_window',
		url : './html/pages/course_window.html',
		reload : true,
		pageParam : {
			entityId : entityId,
			groupType : groupType,
			templateId : templateId,
			entityteacher : entityteacher,
			entitygrade : entitygrade,
			config_title : config_title
		}
	});
}

//打开期末复习页面
function openQmPage(entityId, groupType, templateId, entitygrade, entityteacher) {
	api.openWin({
		name : 'qmfx_index',
		url : './html/pages/qmfx/index.html',
		pageParam : {
			entityId : entityId,
			groupType : groupType,
			templateId : templateId,
			entityteacher : entityteacher,
			entitygrade : entitygrade,
			config_title : config_title
		}
	});

}

function selMy(index) {
	if (index == 1) {
		$api.addCls($api.byId('click1'), 'active1');
		$api.removeCls($api.byId('click2'), 'active2');
		$api.attr($api.byId('click1'), 'src', './image/pages/index/user/click_sel1.png');
		$api.attr($api.byId('click2'), 'src', './image/pages/index/user/click2.png');
		//$api.byId('list-x').style.display='none';
		//$api.byId('list-m').style.display='block';
		$api.removeCls($api.byId('list-m'), 'list-m-active');
		$api.removeCls($api.byId('list-x'), 'list-x-active');
	} else {
		var openId = $api.getStorage('openId');
		var uniqueStr = getDeviceId();
		if (openId == null || openId == '' || openId == undefined) {

			$api.addCls($api.byId('click2'), 'active2');
			$api.removeCls($api.byId('click1'), 'active1');
			$api.attr($api.byId('click2'), 'src', './image/pages/index/user/click_sel2.png');
			$api.attr($api.byId('click1'), 'src', './image/pages/index/user/click1.png');
			$api.addCls($api.byId('list-m'), 'list-m-active');
			$api.addCls($api.byId('list-x'), 'list-x-active');
		} else {
			$api.addCls($api.byId('click2'), 'active2');
			$api.removeCls($api.byId('click1'), 'active1');
			$api.attr($api.byId('click2'), 'src', './image/pages/index/user/click_sel2.png');
			$api.attr($api.byId('click1'), 'src', './image/pages/index/user/click1.png');
			$api.addCls($api.byId('list-m'), 'list-m-active');
			$api.addCls($api.byId('list-x'), 'list-x-active');
		}
	}
}

//下订单come_type  1、广告也进入  2:首页进入  3、专题页进入
function payOrder(productid, entitygrade) {
	api.openWin({
		name : 'android_order',
		url : './html/pages/android_order.html',
		pageParam : {
			productid : productid,
			come_type : 2,
			entitygrade : entitygrade
		}
	});
}

/*切换播放线路*/
function setVideoType(index) {
	var videpType = $api.getStorage('videType');
	if (index == videpType) {
		return;
	}
	$api.setStorage('videType', index);
}

//打开期末复习页面
function openQmPage(entityId, groupType, templateId, entitygrade, entityteacher) {
	api.openWin({
		name : 'qmfx_index',
		url : './html/pages/qmfx/index.html',
		pageParam : {
			entityId : entityId,
			groupType : groupType,
			templateId : templateId,
			entityteacher : entityteacher,
			entitygrade : entitygrade,
			config_title : config_title
		}
	});

}

//打开21day暑假
function openday(entityId, groupType, templateId, entitygrade, entityteacher) {
	api.openWin({
		name : 'day_index',
		url : './html/21days/index.html',
		pageParam : {
			entityId : entityId,
			group_type : groupType,
			templateId : templateId,
			entityteacher : entityteacher,
			entitygrade : entitygrade,
			config_title : config_title
		}
	});
}

//打开开学季
function openSchool(entityId, groupType, templateId, entitygrade) {
	api.openWin({
		name : 'school_index',
		url : './html/kxj/index.html',
		pageParam : {
			entityId : entityId,
			groupType : groupType,
			templateId : templateId,
			entitygrade : entitygrade,
			config_title : config_title
		}
	});
}

//判断打开页面类型
function openTypePage(entityId, groupType, entityteacher) {
	api.ajax({
		url : ztGroupURL + '/' + entityId,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			//			console.log(JSON.stringify(ret.template.id))
			if (ret.template.id == '11001100') {
				openCourse(entityId, groupType, ret.template.id, entityteacher, ret.grades.id);
			} else if (ret.template.id == '11001103') {
				openQmPage(entityId, groupType, ret.template.id, ret.grades.id, entityteacher)
			} else if (ret.template.id == '11001104') {
				openday(entityId, groupType, ret.template.id, ret.grades.id, entityteacher);
			} else if (ret.template.id == '11001105') {
				openSchool(entityId, groupType, ret.template.id, ret.grades.id);
			} else {
				openZt(entityId, ret.template.id, ret.grades.id)
			}
		} else {
			//console.log('erro')
		}
	});
}

//登录找回权限
function openLogin() {
	api.openFrame({
		name : 'login_window',
		url : './html/pages/login_window.html',
		reload : true,
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight,
			marginLeft : 0, //相对父 window 左外边距的距离
			marginTop : 0, //相对父 window 上外边距的距离
			marginBottom : 0, //相对父 window 下外边距的距离
			marginRight : 0 //相对父 window 右外边距的距离
		}
	});
}

//注销账号
function signOut(phone,index){
	if(phone=='undefined'||!phone){
		api.toast({
		    msg:'您还未登录',
		    duration:2000
	    });
	}else{
		api.confirm({
			title:"提示",
			msg:"注销账号将失去您已有的权限，确定注销账号吗？",
			buttons: [ '确定', '取消' ]
	    },function(ret,err){
	//  	console.log(JSON.stringify(ret));
			if(ret.buttonIndex==1){
				api.ajax({
					url : domain + "/user/u/phone_logout",
					method : 'post',
					cache : false,
					timeout : 30,
					dataType : 'json',
					data : {
						values : {
							phone : phone
						}
					},
					returnAll : false,
				}, function(ret, err) {
					//console.log(JSON.stringify(ret))
					if(ret&&ret.code=="0000"){
						api.toast({
				            msg:ret.msg
			            });
			            setTimeout(function(){
							getUser(index);
			            },1000);
					}
				});
			}
	    });
	}
}

/*中转方法判断跳转页面*/
function transit(kind, entityId, linkrule, entitygrade, entitysubject) {
	if (kind == 'videoid') {
		isPlayAuth(kind, entityId, linkrule, entitygrade, entitysubject);
	} else if (kind == 'txtid') {
		api.openWin({
			name : 'tbzw_window',
			url : './html/pages/tbzw_window.html',
			pageParam : {
				tree_id : entityId,
				linkrule : linkrule,
				entitygrade : entitygrade
			}
		});
	}

}

//打开专题详情
function openZt(entityId, templateId, entitygrade) {
	api.openWin({
		name : 'zt_windows',
		url : './html/pages/zt_windows.html',
		reload : true,
		pageParam : {
			entityId : entityId,
			templateId : templateId,
			entitygrade : entitygrade,
			config_title : config_title
		}
	});
}

/*鉴权*/
//鉴权播放
function isPlayAuth(sourceid, ispublish, gradeid, subjectid) {

	if (ispublish == 1) {//免费
		api.openWin({
			name : 'play_window',
			url : './html/pages/play_window.html',
			pageParam : {
				sourceid : sourceid,
				is_free : 0  //强制加的参数，让免费视屏无需登录注册
			}
		});
	} else {//付费
		if (api.uiMode == 'pad') {
			deviceName = 'PAD'
		}
		var uniqueStr = getDeviceId();
		api.ajax({
			url : playURL + 'v2/isplay',
			method : 'post',
			cache : false,
			timeout : 30,
			dataType : 'json',
			data : {
				values : {
					"apkType" : apkType,
					"channelType" : channelType,
					"gradeid" : gradeid,
					"uniqueStr" : uniqueStr,
					"deviceName" : deviceName,
					"subjectid" : subjectid,
				}
			},
			returnAll : false,
		}, function(ret, err) {
			if (ret) {
				if (ret.unlogined == 1) {
					var phoneNumber = $api.getStorage('loginid');
					if (phoneNumber == null || phoneNumber == '' || phoneNumber == undefined || phoneNumber == 'undefined') {
						phoneNumber = '';
					}
					api.ajax({
						url : authURL + 'v2/' + uniqueStr + '/' + channelType + '/' + apkType,
						method : 'post',
						cache : false,
						timeout : 30,
						dataType : 'json',
						data : {
							values : {
								deviceName : deviceName,
								phoneNumber : phoneNumber

							}
						},
						returnAll : false,
					}, function(rets, errs) {
						if (rets) {
							$api.setStorage('uCode', rets.uCode);
							findUserMsgV2();
							//查询用户信息
							isPlayAuth(sourceid, ispublish, gradeid, subjectid);
							return;
						}

					});
				} else {
					if (ret.result) {//鉴权成功
						api.openWin({
							name : 'play_window',
							url : './html/pages/play_window.html',
							pageParam : {
								//videoName : videoName,
								sourceid : sourceid
							}
						});
					} else {//鉴权失败
						if (api.systemType == 'ios') {
							api.openWin({
								name : 'ios_order.html',
								url : './html/pages/ios_order.html',
								pageParam : {}
							});
						} else {
							api.openWin({
								name : 'android_order',
								url : './html/pages/android_order.html',
								pageParam : {}
							});
						}

					}
				}
			} else {
				//console.log('鉴权错误')
			}

		});
	}

}

/*判断是否滚动到底部了*/
function isScroll(obj) {
	var nScrollHight = 0;
	//滚动距离总长(注意不是滚动条的长度)
	var nScrollTop = 0;
	//滚动到的当前位置
	var nDivHight = $api.offset(obj).h;
	$(obj).scroll(function() {
		nScrollHight = $(this)[0].scrollHeight;
		nScrollTop = $(this)[0].scrollTop;
		if (nScrollTop + nDivHight >= nScrollHight) {
			$api.css($api.byId('more_ban' + nav_index), 'display:none');
		} else {
			$api.css($api.byId('more_ban' + nav_index), 'display:block');
		}
		//alert("滚动条到底部了");
	});
}

function hwlogin(){
	$api.removeCls($api.byId('hwlogin'), 'gray');
}

function jbts() {
	api.alert({
		title: '互联网违法或不良信息投诉举报联系方式',
		msg: '邮箱：jubao@3jidi.com\n电话：400-119-3939',
		buttons: ['好的']
	},_=>{});
}