
//默认视频播放器
var videoPlayer;
//播放器线路
var videpType;
//视频id
var videoid;
//
var videoSourceid;
//zt_list表id
var list_id = '';
//
var videoName;
//是否免费  用于保存播放日志记录数据
var is_free;

//视频参数信息
var duration = 0;
//视频总时长
var nowPlayTimes = 0;
//当前播放
var eventType = '';
//字符串类型；播放事件类型，仅当 name 为 play 时有值；取值范围如下：//start（开始播放）//playing（正在播放）//pause（播放暂停）//stop（播放停止）//complete（播放完成）
var videoURL = '';
//视频播放地址

//视频控制栏是否显示
var videoControlTypes = true;

apiready = function() {
	//初始化播放器
	videoPlayer = api.require('videoPlayer');

	//显示进度提示框
	api.showFloatBox({
		iconPath : 'widget://image/loading_more.gif',
		duration : 3000
	});

	//获取播放器播放线路
	videpType = $api.getStorage('videType');
	if (videpType == undefined || videpType == '' || videpType == null) {
		videpType = 0;
	}
	//获取传递参数
//	videoPlayer = api.require('videoPlayer');
	videoid = api.pageParam.sourceid;
	list_id = api.pageParam.list_id;
	is_free = api.pageParam.is_free;

	//查询需要播放的视频videoid
	selvideo(videoid, 'open', '', is_free);

	//监听当前页面事件
	addEventListenerPlay();
	
	//监听登录页返回事件
	api.addEventListener({
        name:'closeCurWin'
    },function(ret,err){
    	api.closeWin();
    });

	// 插入广告
	var pName = $api.getStorage('pName');
	if((pName=="undefined" || !pName) && parseInt(is_free)===0 && !noAdChannel.includes(channelType)){
		adFn();
	}
};

// 广告
function adFn(){
	const ADM = api.require('AdmobileModule');
	if(!ADM) return;
	ADM.AdInit({
		APP_ID: '3721840',
		SPLASH_AD_POS_ID1: '092dd8c86db93d49fc'
	});
	ADM.AdInsertScreen({
		INTERSTITIAL_AD_POS_ID: '591f74440bef376c07'
	},function(res){
//		console.log($api.jsonToStr(res))
		if(res && res.code==0) {
			ADM.ShowInsertScreen();
		}
	});// 插屏广告
}

//查询视频信息
function selvideo(videoid, type, videoName) {
	if (list_id == null || list_id == '' || list_id == undefined || list_id == 'undefined') {
		list_id = '';
	}
	videoSourceid = videoid;
	api.ajax({
		url : playURL + videoid,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				list_id : list_id
			}
		},
		returnAll : false
	}, function(ret, err) {
//		console.log(JSON.stringify(ret));
		if (ret) {
			videoURL = ret.qcloud_video_url_05;
			videoName = ret.source_video_name;
			//var video_name=ret.source_video_name;
			if (type == 'open') {
				if (videpType == 1) {//打开播放器（不可编辑样式播放器）
					fnvideoPlayerPlay(videoURL, videoName);
				} else {//打开播放器（可编辑样式播放器）
					fnvideoPlayerOpen(videoURL, videoName);
				}
			}
			if (type == 'notopen') {
				setPath(videoURL);
				$api.html($api.byId('title'), videoName);
			}
		} else {
			api.toast({
				msg : err.msg,
				duration : 3000,
				global : true
			});
			//console.log(JSON.stringify(err))
		}

	});
}

//调用普通视频播放器（可编辑播放器）
function fnvideoPlayerOpen(videoURL, videoName) {
	videoPlayer.open({
		rect : {
			x : 0, //（可选项）数字类型；模块左上角的 x 坐标（相对于所属的 Window 或 Frame）；默认：0
			y : 0, //（可选项）数字类型；模块左上角的 y 坐标（相对于所属的 Window 或 Frame）；默认：0
			w : api.winWidth, //（可选项）数字类型；模块的宽度；默认：所属的 Window 或 Frame 的宽度
			h : api.winHeight //（可选项）数字类型；模块的高度；默认：w的3/4
		},
		bg : '#000', //视频背景颜色，支持#、rgb、rgba (在切换视屏为了防止闪屏,请根据自己的视频调节颜色)
		path : videoURL, //视频播放地址
		autoPlay : true, //打开时是否自动播放
		scalingMode : 'scaleToFill', //该参数仅支持ios
		coverImg : "widget://image/videoPlayer/video_load.png" //播放器打开尚未播放时的封面图
	}, function(ret, err) {
		if (ret.status) {
			//alert(JSON.stringify(ret));
			//获取视频总时长
			if (ret.duration != '' && ret.duration != null && ret.duration != 'undefined') {
				duration = JSON.stringify(ret.duration).replace(/\"/g, "");
			}
			//默认5s之后自动隐藏控制栏
			showControl();

			//打开自定义播放器样式
			openVideoTool();
			openVideoController();

			//监听播放器事件
			videoPlayerAddEventListener();
		} else {
			//alert(JSON.stringify(err));
			api.toast({
				msg : err.msg,
				duration : 2000,
				location : 'middle'
			});
		}
	});
}

//调用普通视频播放器（不可编辑播放器）
function fnvideoPlayerPlay(videoURL, videoName) {
	videoPlayer.play({
		texts : {
			head : {
				title : videoName //视频名称
			}
		},
		styles : {//播放默认样式效果
			head : {
				bg : 'rgba(0,0,0,0.7)',
				height : 44,
				titleSize : 20,
				titleColor : '#fff',
				backSize : 30,
				backImg : 'widget://image/videoPlayer/back.png',
				setSize : 0,
				setImg : 'widget://image/videoPlayer/more.png'
			},
			foot : {
				bg : 'rgba(0,0,0,0.7)',
				height : 44,
				playSize : 30,
				playImg : 'widget://image/videoPlayer/play.png',
				pauseImg : 'widget://image/videoPlayer/pause.png',
				nextSize : 0,
				nextImg : '',
				timeSize : 14,
				timeColor : '#fff',
				sliderImg : '',
				progressColor : '#696969',
				progressSelected : '#1296db',
				verticalImg : "widget://image/videoPlayer/fullscreen.png",
				horizontalImg : "widget://image/videoPlayer/unfullscreen.png"
			}
		},
		path : videoURL, //播放地址
		autoPlay : true //是否自动播放
	}, function(ret, err) {
		if (ret) {
			if (ret.eventType == 'back') {//返回
				backWin();
			} else if (ret.eventType == 'failed') {
				alert('播放失败')
			}
		} else {
			//alert(JSON.stringify(err));
		}
	});
}

//打开自定义播放器样式
function openVideoController() {
	api.openFrame({
		name : 'video_foot_01',
		url : '../videoPlayer/video_foot_01.html',
		bounces : false,
		rect : {
			x : 0,
			y : api.winHeight - 50,
			w : 'auto',
			h : 50
		},
		reload : true,
		slidBackEnabled : false,
		pageParam : {
			duration : duration
		}
	});
}

function openVideoTool() {
	api.openFrame({
		name : 'video_head_01',
		url : '../videoPlayer/video_head_01.html',
		bounces : false,
		rect : {
			x : 0,
			y : 0,
			w : 'auto',
			h : 50
		},
		reload : true,
		slidBackEnabled : false,
		pageParam : {
			videoName : videoName
		}
	});
}

//设置视频播放时间
function seekToPlay(times) {
	if (eventType && eventType.replace(/\"/g, "") == 'complete') {
		//videoPlayer.seekTo({seconds: 0});
		videoPlayer.setPath({
			path : videoURL,
			coverImg : "widget://image/videoPlayer/video_load.png" //播放器打开尚未播放时的封面图
		});
	}
	videoPlayer.seekTo({
		seconds : times
	});
	videoPlayerAddEventListener();
}

//设置播放器播放视频地址
function setPath(videoPath) {
	videoPlayer.setPath({
		path : videoPath,
		coverImg : 'widget://image/videoPlayer/video_load.png'
	});
}

//视频播放器监听事件
function videoPlayerAddEventListener() {
	videoPlayer.addEventListener({
		name : 'leftUp'
	}, function(ret, err) {
		if (ret) {
			//alert(JSON.stringify(ret));
		} else {
			//alert(JSON.stringify(err));
		}
	});

	videoPlayer.addEventListener({
		name : 'leftDown'
	}, function(ret, err) {
		if (ret) {
			//alert(JSON.stringify(ret));
		} else {
			//alert(JSON.stringify(err));
		}
	});

	videoPlayer.addEventListener({
		name : 'rightUp'
	}, function(ret, err) {
		if (ret) {
			//alert(JSON.stringify(ret));
		} else {
			//alert(JSON.stringify(err));
		}
	});

	videoPlayer.addEventListener({
		name : 'rightDown'
	}, function(ret, err) {
		if (ret) {
			// alert(JSON.stringify(ret));
		} else {
			// alert(JSON.stringify(err));
		}
	});

	videoPlayer.addEventListener({
		name : 'swipeLeft'
	}, function(ret, err) {
		if (ret) {
			// alert(JSON.stringify(ret));
		} else {
			//alert(JSON.stringify(err));
		}
	});

	videoPlayer.addEventListener({
		name : 'swipeRight'
	}, function(ret, err) {
		if (ret) {
			// alert(JSON.stringify(ret));
		} else {
			//alert(JSON.stringify(err));
		}
	});

	//屏幕点击事件
	videoPlayer.addEventListener({
		name : 'click'
	}, function(ret, err) {
		if (ret) {
			//点击显示隐藏
			window.clearTimeout(set);
			if (videoControlTypes) {
				hideControl();
			} else {
				showControl();
			}

		} else {
			//alert(JSON.stringify(err));
		}
	});

	videoPlayer.addEventListener({
		name : 'play'
	}, function(ret, err) {
		if (ret) {
			nowPlayTimes = JSON.stringify(ret.current);
			eventType = JSON.stringify(ret.eventType);
			if ('complete' == eventType.replace(/\"/g, "")) {
				api.removeEventListener({
					name : 'playType'
				});
				api.sendEvent({
					name : 'playType',
					extra : {
						eventType : eventType
					}
				});
			} else if ('playing' == eventType.replace(/\"/g, "")) {
				api.sendEvent({
					name : 'playType',
					extra : {
						nowPlayTimes : nowPlayTimes,
						eventType : eventType
					}
				});
			}

		} else {
			//alert(JSON.stringify(err));
		}
	});

}

//视频播放
function videoPlay() {
	videoPlayer.start();
}

//视频暂停
function videoPause() {
	videoPlayer.pause();
}

//视频全屏
function fullScreen() {
	videoPlayer.fullScreen();
	var winWidth = api.winWidth;
	var winHeight = api.winHeight;
	var w;
	var h;
	if (winWidth > winHeight) {
		w = winWidth;
		h = winHeight;
	} else {
		w = winHeight;
		h = winWidth;
	}
	videoPlayer.setRect({
		rect : {
			x : 0, //（可选项）数字类型；模块左上角的 x 坐标（相对于所属的 Window 或 Frame）；默认：0
			y : 0, //（可选项）数字类型；模块左上角的 y 坐标（相对于所属的 Window 或 Frame）；默认：0
			w : w, //（可选项）数字类型；模块的宽度；默认：所属的 Window 或 Frame 的宽度
			h : h //（可选项）数字类型；模块的高度；默认：w的3/4
		},
		fullscreen : true
	});
	api.setFrameAttr({
		name : 'video_foot_01',
		rect : {
			x : 0,
			y : h - 50,
			w : w,
			h : 50
		},
	});
}

//视频非全屏
function unfullScreen() {
	videoPlayer.cancelFullScreen();
	var winWidth = api.winWidth;
	var winHeight = api.winHeight;
	var w;
	var h;
	if (winWidth > winHeight) {
		w = winHeight;
		h = winWidth;
	} else {
		w = winWidth;
		h = winHeight;
	}
	videoPlayer.setRect({
		rect : {
			x : 0, //（可选项）数字类型；模块左上角的 x 坐标（相对于所属的 Window 或 Frame）；默认：0
			y : 0, //（可选项）数字类型；模块左上角的 y 坐标（相对于所属的 Window 或 Frame）；默认：0
			w : w, //（可选项）数字类型；模块的宽度；默认：所属的 Window 或 Frame 的宽度
			h : w * 0.75 //（可选项）数字类型；模块的高度；默认：w的3/4
		},
		fullscreen : false
	});
	api.setFrameAttr({
		name : 'video_foot_01',
		rect : {
			x : 0,
			y : w * 0.75 - 50,
			w : w,
			h : 50
		},
	});
}

var set;
function hideControl() {
	videoControlTypes = false;
	api.sendEvent({
		name : 'videoControl',
		extra : {
			videoControlType : 0,
			videoHeadType:0
		}
	});
}

function showControl() {
	videoControlTypes = true;
	api.sendEvent({
		name : 'videoControl',
		extra : {
			videoControlType : 1,
			videoHeadType:1
		}
	});
	//
	window.clearTimeout(set);
	set = window.setTimeout(function() {
		hideControl();
	}, 5000);
}

//监听当前页面事件
function addEventListenerPlay() {
	//安卓返回键
	androidKeyBack();
}

//安卓返回键
function androidKeyBack() {
	api.addEventListener({
		name : 'keyback'
	}, function(ret, err) {
		api.closeWin();
	});
}